MARTe2-core - User story #149

Lint: FastPollingMutexSem
28.06.2015 19:00 - André Neto

Status: Closed Start date: 28.06.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.2 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Verify and implement coding standard using Flexelint.

Source code files modified

e Source/Core/LOPortability/FastPollingMutexSem.h
Source/Core/LOPortability/FastPollingMutexSem.cpp
Test/Core/LOPortability/FastPollingMutexSemTest.h
Test/Core/LOPortability/FastPollingMutexSemTest.cpp
Test/GTest/FastPollingMutexSemGTest.cpp
Source/Core/LOPortability/Makefile.inc

Architecture & design review

Date of the review: 22/07/2015
Person who did the review: Giuseppe Ferro

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review

Date of the review: 22/07/2015
Person who did the review: Giuseppe Ferro
Result of review: PASS (MISRA compliant)

List of non-conformities: N/A

Unit test review

Date of the review: 24/07/2015
Person who did the review: lvan Herrero
Result of coverage tests review: PASS

Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A

Associated revisions

Revision 201d0e4b - 09.07.2015 12:39 - André Neto
Typo corrected. The code has not been linted yet #149.

Revision fic2decc - 22.07.2015 16:48 - Giuseppe Ferro

Minor change in documentation.
#149

Revision 82521279 - 24.07.2015 09:56 - lvan Herrero

#149 - Minor formatting corrections (following template rules)

History

#1 - 02.07.2015 17:20 - Riccardo Vitelli

- Target version set to Backlog

#2 - 02.07.2015 18:07 - Riccardo Vitelli

- Target version changed from Backlog to 0.2

#3 - 02.07.2015 18:08 - Riccardo Vitelli

- Status changed from New to Code: Impl

#4 - 17.07.2015 18:31 - Filippo Sartori
- Status changed from Code: Impl to Code: Rev

#5 - 22.07.2015 09:16 - lvan Herrero

- Assignee set to Giuseppe Ferro

#6 - 22.07.2015 13:34 - Giuseppe Ferro
- Status changed from Code: Rev to Unit: Impl

#7 - 22.07.2015 13:34 - Giuseppe Ferro
- Status changed from Unit: Impl to Unit: Rev

#8 - 22.07.2015 13:46 - Giuseppe Ferro
- Description updated

- Assignee deleted (Giuseppe Ferro)

Code Documentation Review made 7bcffO1

#9 - 22.07.2015 14:59 - Llorenc Capella
- Status changed from Unit: Rev to Code: Impl

#10 - 22.07.2015 14:59 - Llorenc Capella

- Assignee set to Giuseppe Ferro

#11 - 22.07.2015 16:48 - Giuseppe Ferro
- Status changed from Code: Impl to Unit: Impl

#12 - 22.07.2015 16:51 - Giuseppe Ferro
- Assignee deleted (Giuseppe Ferro)

#13 - 23.07.2015 15:18 - lvan Herrero

- Assignee set to Llorenc Capella
#14 - 23.07.2015 16:21 - Llorenc Capella
- Status changed from Unit: Impl to Unit: Rev

#15 - 23.07.2015 16:22 - Llorenc Capella
- Assignee deleted (Llorenc Capella)

Check that all functions are tested and the format and templates are correct.

#16 - 24.07.2015 08:34 - lvan Herrero

- Assignee set to Ivan Herrero

#17 - 24.07.2015 10:20 - lvan Herrero

- Description updated

- Status changed from Unit: Rev to Closed

- Assignee deleted (Ilvan Herrero)

Unit test review made on revision 8252127.

Branch linting-fpms merged on develop branch (commit a07a947).

Branch linting-foms deleted.
